freerdp3 (3.5.1+dfsg1-0ubuntu1.6) noble-security; urgency=medium

  * SECURITY UPDATE: heap-buffer-overflow in planar bitmap decoder
    - debian/patches/CVE-2026-45700.patch: fix bounds checks
    - CVE-2026-45700
  * SECURITY REGRESSION: partial CVE fixes (LP: #2149819)
    - debian/patches/CVE-2026-22858-fix.patch: fix incorrect
      bounds check in base64_decode_char
    - debian/patches/CVE-2026-23732-fix.patch: fix overflow on 
      32-bit systems
    - debian/patches/CVE-2026-25952-fix.patch: refactor to use
      xf_rail_get_window

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jun 2026 17:00:49 +0530

freerdp3 (3.5.1+dfsg1-0ubuntu1.5) noble-security; urgency=medium

  * SECURITY REGRESSION: crash with realloc(): invalid next size
    (LP: #2144889)
    - debian/patches/CVE-2026-27951.patch: disabled, pending further
      investigation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Mar 2026 10:23:07 -0400

freerdp3 (3.5.1+dfsg1-0ubuntu1.4) noble-security; urgency=medium

  * SECURITY UPDATE: use-after-free via race condition
    - debian/patches/CVE-2026-22851-pre1.patch: replace std::lock_guard
      with std::scoped_lock in client/SDL/dialogs/sdl_dialogs.cpp,
      client/SDL/sdl_freerdp.cpp,
      server/proxy/modules/dyn-channel-dump/dyn-channel-dump.cpp.
    - debian/patches/CVE-2026-22851.patch: lock primary while used in
      client/SDL/sdl_freerdp.cpp.
    - CVE-2026-22851
  * SECURITY UPDATE: heap-buffer-overflow via Audio Input format lists
    - debian/patches/CVE-2026-22852.patch: free up old audio formats in
      channels/audin/client/audin_main.c.
    - CVE-2026-22852
  * SECURITY UPDATE: heap-buffer-overflow in drive read
    - debian/patches/CVE-2026-22854.patch: fix constant type in
      channels/drive/client/drive_main.c.
    - CVE-2026-22854
  * SECURITY UPDATE: heap OOB read in the smartcard SetAttrib path
    - debian/patches/CVE-2026-22855.patch: add length validity checks in
      libfreerdp/utils/smartcard_pack.c.
    - CVE-2026-22855
  * SECURITY UPDATE: race in the serial channel IRP thread tracking
    - debian/patches/CVE-2026-22856-pre1.patch: fix IrpThread handling in
      channels/serial/client/serial_main.c.
    - debian/patches/CVE-2026-22856-1.patch: lock list dictionary in
      channels/serial/client/serial_main.c.
    - debian/patches/CVE-2026-22856-2.patch: explicitly lock
      serial->IrpThreads in channels/serial/client/serial_main.c.
    - CVE-2026-22856
  * SECURITY UPDATE: heap use-after-free in irp_thread_func
    - debian/patches/CVE-2026-22857.patch: fix use after free in
      channels/serial/client/serial_main.c.
    - CVE-2026-22857
  * SECURITY UPDATE: global-buffer-overflow in Base64 decoding
    - debian/patches/CVE-2026-22858-1.patch: ensure char is singend in
      libfreerdp/crypto/base64.c.
    - debian/patches/CVE-2026-22858-2.patch: do proper length checks in
      libfreerdp/crypto/base64.c.
    - CVE-2026-22858
  * SECURITY UPDATE: OOB read via MSUSB_INTERFACE_DESCRIPTOR values
    - debian/patches/CVE-2026-22859.patch: check interface indices before
      use in channels/urbdrc/client/data_transfer.c,
      channels/urbdrc/client/libusb/libusb_udevice.c,
      channels/urbdrc/client/libusb/libusb_udevice.c.
    - CVE-2026-22859
  * SECURITY UPDATE: heap buffer overflow in RLE decode
    - debian/patches/CVE-2026-23530.patch: fix decoder length checks in
      libfreerdp/codec/planar.c.
    - CVE-2026-23530
  * SECURITY UPDATE: OOB read/write via crafted RDPGFX surface updates
    - debian/patches/CVE-2026-23531-1.patch: fix missing length checks in
      libfreerdp/codec/clear.c.
    - debian/patches/CVE-2026-23531-2.patch: check clear_decomress
      glyphData in libfreerdp/codec/clear.c.
    - CVE-2026-23531
  * SECURITY UPDATE: client-side heap overflow in gdi_SurfaceToSurface
    - debian/patches/CVE-2026-23532.patch: properly clamp SurfaceToSurface
      in libfreerdp/gdi/gfx.c.
    - CVE-2026-23532
  * SECURITY UPDATE: client-side heap overflow in RDPGFX ClearCodec
    - debian/patches/CVE-2026-23533.patch: fix clear_resize_buffer checks
      in libfreerdp/codec/clear.c.
    - CVE-2026-23533
  * SECURITY UPDATE: client-side heap overflow in ClearCodec bands decode
    - debian/patches/CVE-2026-23534.patch: fix off by one length check in
      libfreerdp/codec/clear.c.
    - CVE-2026-23534
  * SECURITY UPDATE: overflow in FastGlyph parsing
    - debian/patches/CVE-2026-23732.patch: add freerdp_glyph_convert_ex in
      include/freerdp/codec/color.h, libfreerdp/codec/color.c.
    - debian/libfreerdp3-3.symbols: added new symbol.
    - CVE-2026-23732
  * SECURITY UPDATE: client‑side use after free via invalid Pointer
    - debian/patches/CVE-2026-23883.patch: fix double free in case of
      invalid pointer in client/X11/xf_graphics.c.
    - CVE-2026-23883
  * SECURITY UPDATE: client-side UaF via offscreen bitmap deletion
    - debian/patches/CVE-2026-23884.patch: invalidate bitmap before free in
      libfreerdp/cache/offscreen.c.
    - CVE-2026-23884
  * SECURITY UPDATE: OOB read in RDPGFX channel
    - debian/patches/CVE-2026-25941.patch: check available stream length in
      channels/rdpgfx/client/rdpgfx_main.c.
    - CVE-2026-25941
  * SECURITY UPDATE: OOB read via execResult value
    - debian/patches/CVE-2026-25942.patch: stringfiy functions for RAILS in
      client/X11/xf_rail.c.
    - CVE-2026-25942
  * SECURITY UPDATE: multiple window issues
    - debian/patches/CVE-2026-25952_3_4.patch: lock appWindow in
      client/X11/xf_event.c, client/X11/xf_graphics.c,
      client/X11/xf_rail.c, client/X11/xf_rail.h, client/X11/xf_window.c,
      client/X11/xf_window.h.
    - CVE-2026-25952
    - CVE-2026-25953
    - CVE-2026-25954
  * SECURITY UPDATE: use after free RDPGFX surface buffer
    - debian/patches/CVE-2026-25955.patch: destroy XImage on window unmap
      in client/X11/xf_gfx.c, client/X11/xf_window.c,
      client/X11/xf_window.h.
    - CVE-2026-25955
  * SECURITY UPDATE: use after free in xf_cliprdr_provide_data_
    - debian/patches/CVE-2026-25959.patch: lock cache when providing data
      in client/X11/xf_cliprdr.c.
    - CVE-2026-25959
  * SECURITY UPDATE: use after free in xf_clipboard_format_equal
    - debian/patches/CVE-2026-25997.patch: fix clipboard update in
      client/X11/xf_cliprdr.c.
    - CVE-2026-25997
  * SECURITY UPDATE: buffer overread in freerdp_image_copy_from_icon_data()
    - debian/patches/CVE-2026-26271.patch: fix input length checks in
      libfreerdp/codec/color.c.
    - CVE-2026-26271
  * SECURITY UPDATE: heap buffer overflow in GDI surface pipeline
    - debian/patches/CVE-2026-26955.patch: fix destination checks in
      libfreerdp/codec/clear.c.
    - CVE-2026-26955
  * SECURITY UPDATE: OOB write in RLE planar decode path
    - debian/patches/CVE-2026-26965.patch: fix missing destination bounds
      checks in libfreerdp/codec/planar.c.
    - CVE-2026-26965
  * SECURITY UPDATE: use after free in rail_window_free
    - debian/patches/CVE-2026-26986.patch: fix xf_rail_window_common
      cleanup in client/X11/xf_rail.c.
    - CVE-2026-26986
  * SECURITY UPDATE: reachable assert via missing bounds check in
    smartcard_unpack_read_size_align()
    - debian/patches/CVE-2026-27015.patch: check stream length on padding
      in libfreerdp/utils/smartcard_operations.c,
      libfreerdp/utils/smartcard_pack.c.
    - CVE-2026-27015
  * SECURITY UPDATE: endless blocking loop in Stream_EnsureCapacity
    - debian/patches/CVE-2026-27951.patch: fix growth of preallocated
      buffers.
    - CVE-2026-27951

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Mar 2026 13:36:11 -0400

freerdp3 (3.5.1+dfsg1-0ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2026-23948.patch: fix missing NULL check
    - CVE-2026-23948
  * SECURITY UPDATE: heap overflow
    - debian/patches/CVE-2026-24491-1.patch: reset channel_callback
      before close
    - debian/patches/CVE-2026-24491-2.patch: check pointer before
      reset
    - debian/patches/CVE-2026-24675.patch: do not free MsConfig on
      failure
    - debian/patches/CVE-2026-24679.patch: ensure InterfaceNumber is
      within range
    - debian/patches/CVE-2026-24682.patch: fix audin_server_recv_formats
      cleanup
    - CVE-2026-24491
    - CVE-2026-24675
    - CVE-2026-24679
    - CVE-2026-24682
  * SECURITY UPDATE: heap use after free
    - debian/patches/CVE-2026-24676.patch: reset audin->format
    - debian/patches/CVE-2026-24680.patch: reset pointer after memory
      release
    - debian/patches/CVE-2026-24681.patch: cancel all usb transfers on
      channel close
    - debian/patches/CVE-2026-24683.patch: lock context when updating
      listener
    - debian/patches/CVE-2026-24684-1.patch: terminate thread before
      free
    - debian/patches/CVE-2026-24684-2.patch: only clean up thread
      before free
    - CVE-2026-24676
    - CVE-2026-24680
    - CVE-2026-24681
    - CVE-2026-24683
    - CVE-2026-24684

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 12 Feb 2026 19:23:45 +0530

freerdp3 (3.5.1+dfsg1-0ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted RDP packet
    - debian/patches/CVE-2025-4478.patch: initialize function pointers
      after resource allocation in libfreerdp/core/transport.c.
    - CVE-2025-4478

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Jul 2025 14:44:55 -0400

freerdp3 (3.5.1+dfsg1-0ubuntu1) noble-security; urgency=medium

  * SECURITY UPDATE: updated to 3.5.1 to fix multiple security issues
    - CVE-2024-32658 [Low] ExtractRunLengthRegular* out of bound read
    - CVE-2024-32659 [Low] freerdp_image_copy out of bound read
    - CVE-2024-32660 [Low] zgfx_decompress out of memory
    - CVE-2024-32661 [Low] rdp_write_logon_info_v1 NULL access
    - CVE-2024-32662 [Low] rdp_redirection_read_base64_wchar out of bound read

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Apr 2024 10:25:11 -0400

freerdp3 (3.5.0+dfsg1-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2061907)
    - CVE-2024-32039 [Moderate] Integer overflow & OutOfBound Write in
      clear_decompress_residual_data
    - CVE-2024-32040 [Low] integer underflow in nsc_rle_decode
    - CVE-2024-32041 [Low] OutOfBound Read in zgfx_decompress_segment
    - CVE-2024-32458 [Low] OutOfBound Read in planar_skip_plane_rle
    - CVE-2024-32459 [Low] OutOfBound Read in ncrush_decompress
    - CVE-2024-32460 [Low] OutOfBound Read in interleaved_decompress

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 17:23:57 -0400

freerdp3 (3.4.0+dfsg1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:43 +0000

freerdp3 (3.4.0+dfsg1-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:23:04 +0000

freerdp3 (3.4.0+dfsg1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:48:02 +1300

freerdp3 (3.4.0+dfsg1-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Add freerdp3-dev Depends: libcjson-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 06:36:44 -0400

freerdp3 (3.3.0+dfsg1-0ubuntu2) noble; urgency=medium

  * Have freerdp3-dev Depend on libfuse3-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Mar 2024 12:01:41 -0400

freerdp3 (3.3.0+dfsg1-0ubuntu1) noble; urgency=medium

  * Upload to Ubuntu while awaiting Debian NEW processing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Mar 2024 18:32:11 -0400

freerdp3 (3.3.0+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #1056992)
  * Rename source package & update binary package names
  * Update symbols files
  * Add Build-Depends: libcjson-dev, libfuse3-dev, libopus-dev,
    libpkcs11-helper1-dev, libswresample-dev, liburiparser-dev
  * Add Build-Depends dpkg-dev >= 1.22.5
  * Compile libuwac as static to avoid conflict with freerdp2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Mar 2024 18:22:28 -0400

freerdp2 (2.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1051638).
  * Fixed security issues since v2.11.0:
    - CVE-2023-40589: [codec,ncrush] fix index checks properly verify all
      offsets while decoding data.
    - CVE-2023-40567: Fix out-of-bounds write in the
      `clear_decompress_bands_data` function.
    - CVE-2023-40188: Fix out-of-bounds read in the `general_LumaToYUV444`
      function.
    - CVE-2023-40186: Fix out-of-bounds write in the `gdi_CreateSurface`
      function.
    - CVE-2023-40181: Fix out-of-bounds read in the `zgfx_decompress_segment`
      function.
    - CVE-2023-39356: Fix out-of-bounds read in the `gdi_multi_opaque_rect`
      function.
    - CVE-2023-39355: Fix use-after-free in processing
      `RDPGFX_CMDID_RESETGRAPHICS` packets.
    - CVE-2023-39354: Fix out-of-bounds read in the `nsc_rle_decompress_data`
      function.
    - CVE-2023-39353: Fix missing offset validation leading to out-of-bounds
      read in the `libfreerdp/codec/rfx.c` file.
    - CVE-2023-39352: Fix invalid offset validation leading to out-of-bounds
      write.
    - CVE-2023-39351: Fix null-pointer-dereference leading a crash in the
      RemoteFX (rfx) handling.
    - CVE-2023-39350: Fix integer underflow leading to DOS (e.g. abort due to
      `WINPR_ASSERT` with default compilation flags).
  * debian/patches:
    + Drop 0001_fix_ftbfs_1041377.patch. Applied upstream.
  * debian/control:
    + Add B-D: libkrb5-dev.
  * debian/rules:
    + Add -DWITH_KERBEROS=ON configure option. (Closes: #1036095).
  * debian/watch:
    + Rework file. Find all released versions of freerdp2. (Closes: #1053317).
      Thanks to Tobias Frost for sending a patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Oct 2023 23:21:15 +0200

freerdp2 (2.10.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001_fix_ftbfs_1041377.patch:
    - include upstream fix for FTBFS with FFmpeg 6.0
      (Closes: #1041377)

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 04 Aug 2023 04:08:40 -0400

freerdp2 (2.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fix android build scripts, use CMake from SDK.
    - Fix connection negotiation with mstsc/msrdc.
    - [ntlm]: use rfc5929 binding hash algorithm.
    - [channels,printer] Fixed reference counting.
    - Fix uwac pixman.
    - Fix Rdp security.
    - [client,x11] Detect key autorepeat.
    - [build] add channel path to RPATH.
    - Fix build with BUILTIN_CHANNELS=OFF.
    - revert changes so that the osmajortype/osminortype is not overwritten.
    - [uwac] do not use iso C functions.
    - [winpr,sam] fix inalid NULL arguments.
    - Fix incompatible function pointer types.
    - Ignore data PDUs for DVCs that were not opened successfully.
    - [channel,urbdrc] fix type of usb hotplug callback.
    - Extended info enforce limits.
    - [core] add missing redirection fields.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/libfreerdp2-2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 21:59:16 +0100

freerdp2 (2.9.0+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1024511).
    - CVE-2022-39316: Resolve out of bound read in ZGFX decoder component.
    - CVE-2022-39317: Resolve missing a range check for input offset index
      in ZGFX decoder.
    - CVE-2022-39318: Resolve missing input validation in `urbdrc` channel.
    - CVE-2022-39319: Resolve missing input length validation in the `urbdrc`
      channel
    - CVE-2022-39320: Resolve attempting integer addition on too narrow types
      leading to allocation of a buffer too small holding the data written.
    - CVE-2022-39347: Resolve missing path canonicalization and base path check
      for `drive` channel.
    - CVE-2022-41877: Resolv missing input length validation in `drive` channel.
    - Test if packages' executables can be run without 'undefined symbol:
      winpr_PathMakePath' error. (Closes: #1024758).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/*.symbols:
    + Update .symbols files.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 28 Nov 2022 09:51:57 +0100

freerdp2 (2.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1021659).
    - Fixes CVE-2022-39282, CVE-2022-39283.
  * debian/patches:
    + Drop 1001_amend-DumpThreadHandles-inclusion.patch. Resolved upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2022 23:26:31 +0200

freerdp2 (2.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1016491).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 1001_keep-symbol-DumpThreadHandles-if-debugging-is-disabled.patch.
      Similar solution applied upstream, but only partially, it seems.
    + Add 1001_amend-DumpThreadHandles-inclusion.patch. Amend missing adjustment
      in thread.h.
  * debian/*.symbols:
    + Update .symbols files for 2.8.0.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Aug 2022 23:19:34 +0200

freerdp2 (2.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/*.symbols:
    + Update .symbols for 2.7.0.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Apr 2022 16:49:43 +0200

freerdp2 (2.6.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_keep-symbol-DumpThreadHandles-if-debugging-is-disabled.patch.
      Keep DumpThreadHandles as a symbol even if WITH_DEBUG_THREADS is OFF.
  * Revert "debian/libwinpr2-2.symbols: Update symbols."

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 08:25:13 +0100

freerdp2 (2.6.1+dfsg1-2) unstable; urgency=medium

  [ Bernhard Miklautz ]
  * debian/rules:
    + Disable additional debug logging. (Closes: #1006683).
    + Use ffmpeg for audio decoding if available to support additional
      audio formats.
  * debian/control:
    + Drop unused gstreamer dependencies libgstreamer1.0-dev and
      libgstreamer-plugins-base1.0-dev.
  * debian/libwinpr2-2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 08:02:25 +0100

freerdp2 (2.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2001-fake-git-revision.patch. Not required anymore.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 07:36:20 +0100

freerdp2 (2.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update list of files in Files-Excluded: field.
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/libfreerdp-server2-2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 26 Feb 2022 21:46:12 +0100

freerdp2 (2.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Support OpenSSL 3.0. (Closes: #996286).
  * debian/patches:
    + Mark 2001-fake-git-revision.patch as non-forwardable.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Feb 2022 08:14:09 +0100

freerdp2 (2.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #999727).
    - CVE-2021-41160: Fix improper region checks in all clients that allowed
      out of bound write to memory. (Closes: #1001062).
    - CVE-2021-41159: Fix improper client input validation for gateway
      connections that allowed one to overwrite memory. (Closes: #1001061).
  * debian/patches/:
    + Drop all patches pulled in from upstream recently. All part of 2.4.0.
  * debian/copyright:
    + Update auto-generated copyright.in template/reference file.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/libwinpr2-2.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in reference file.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 23:16:59 +0100

freerdp2 (2.3.0+dfsg1-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.
  * debian/patches:
    + Backport changes from 2.3.2 (bound checks, API compat fixes, Smartcard
      issues fixes, etc.).
      - 0001-Added-compatibility-define.patch
      - 0003-Reverted-connectErrorCode-removal.patch
      - 0004-Fixed-a-leak-on-mouse-cursor-updates.patch
      - 0007-Fixed-format-string-in-smartcard_trace_state_return.patch
      - 0008-Fixed-linking-dependencies-for-client-geometry-chann.patch
      - 0010-Fixed-smartcard_convert_string_list-with-0-length.patch
      - 0012-Parse-on-a-copy-of-the-argument-string-for-printer.patch
      - 0015-Fix-xf_Pointer_SetPosition-with-smart-sizing.patch
      - 0017-Backported-6865-Disable-websockets-command-line-opti.patch
      - 0019-Check-smartcard_convert_string_list-for-NULL-string.patch
      - 0020-Use-specific-names-for-drive-hotplug-special-values.patch
      - 0021-Filter-RDPDR-types-other-than-drives-on-windows-hotp.patch
      - 0023-use-tlsOut-BIO-when-using-websocket-in-rdg_bio_ctrl.patch
      - 0024-Added-bounds-checks-to-gfx-commands.patch
      - 0025-Added-bounds-check-in-rdpgfx_recv_wire_to_surface_1_.patch
      - 0026-Added-fuzzying-test-for-planar-decoder.patch
      - 0027-Added-missing-bounds-check.patch
      - 0028-Fixed-mac-issues-with-smartcard-context-cleanup-6890.patch
      - 0031-Fix-monitor-list.patch
      - 0032-Fixed-CodeQL-warnings.patch
      - 0033-Reverted-winpr_BinToHexString-argument-change.patch
  * debian/patches:
    + Add 0034-Fixed-6938-Remote-app-mode-clipboard-fix.patch. In remote app
      mode the _FREERDP_TIMESTAMP_PROPERTY does not work. Therefore ignore it.
    + Add 0035-Fixed-6989-Use-X509_STORE_set_default_paths.patch. Fix Windows
      10 logon when using an internal trusted root CA.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 May 2021 23:42:19 +0200

freerdp2 (2.3.0+dfsg1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * debian/control:
    + Add missed binary version deps to avoid issue in some cases
      like upgrade to -backports. (Closes: #964147)

  [ Mike Gabriel ]
  * New upstream release. (Closes: #893733, #903646).
  * debian/control:
    + Bump to Standards-Version: 4.5.1. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions:
  * debian/patches:
    + Drop 1001_spelling-fixes.patch. Applied upstream.
    + Revert upstream's removal of the connectErrorCode symbol via
      2002_revert-e4b30a5cb6100a8ea4f320b829c9c5712ed4a783.patch.
      This re-instates ABI compatibility with FreeRDP 2.2.0.
  * debian/*.symbols:
    + Update symbols for FreeRDP 2.3.0.
  * debian/watch:
    + Switch to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Feb 2021 16:14:52 +0100

freerdp2 (2.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2020-15103: Integer overflow due to missing input sanitation in
      rdpegfx channel. (Closes: #965979).
  * debian/patches:
    + Drop 0001-mask-CACHED_BRUSH-when-checking-brush-style.patch. Applied
      upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/libfreerdp2-2.symbols:
    + Update symbols.
  * debian/libfreerdp-server2-2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Aug 2020 09:17:57 +0200

freerdp2 (2.1.2+dfsg1-2) unstable; urgency=medium

  [ Konstantin Demin ]
  * debian/patches:
    + Add 0001-mask-CACHED_BRUSH-when-checking-brush-style.patch. Fix
      regression introduced in 2.1.2.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jul 2020 15:02:32 +0200

freerdp2 (2.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2020-4033: Out of bound read in RLEDECOMPRESS
    - CVE-2020-4031: Use-After-Free in gdi_SelectObject
    - CVE-2020-4032: Integer casting vulnerability in
      `update_recv_secondary_order`
    - CVE-2020-4030: OOB read in `TrioParse`
    - CVE-2020-11099: OOB Read in license_read_new_or_upgrade_license_packet
    - CVE-2020-11098: Out-of-bound read in glyph_cache_put
    - CVE-2020-11097: OOB read in ntlm_av_pair_get
    - CVE-2020-11095: Global OOB read in update_recv_primary_order
    - CVE-2020-11096: Global OOB read in update_read_cache_bitmap_v3_order
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libwinpr2-2.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 14:03:55 +0200

freerdp2 (2.1.1+dfsg1-1) unstable; urgency=medium

  [ Konstantin Demin ]
  * New upstream release.
    - Fix smartcard login failures. (Closes: #919281)
    - Fix crash when /gfx option is used with /sound option.
      (Closes: #940925).
  * debian/{copyright,rules,watch}:
    + Use upstream tarball instead of Git snapshot.
  * debian/control:
    + Drop needless libdbus-glib-1-dev. (Closes: #955840).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + wrap-and-sort Build-Depends.
    + Update Homepage URL scheme to https.
  * debian/patches:
    + Drop 0001_CVE-2019-17177.patch. Applied upstream.
    + Drop 0002_fix-channels-smartcard-fix-statusw-call.patch.
      Applied upstream.
    + Refresh 1001_spelling-fixes.patch.
    + Add 2001-fake-git-revision.patch. avoid Git interaction during build.
  * debian/copyright:
    + Update upstream Source URL scheme to https.
  * debian/rules:
    + Rework layout.
    + Don't build freerdp-proxy so far.
    + Specify correct build type.
    + Fix build-time headers.
    + Enable extended debug logging in freerdp2 itself.
  * debian/{control,rules}:
    + Enable image scaling support in freerdp.
  * debian/*.symbols:
    + Update symbols files.

  [ Mike Gabriel ]
  * debian/control:
    + Add B-D: libpam0g-dev. (Closes: #958230).
    + Bump DH compat level to version 13.
  * debian/rules:
    + Re-add get-orig-source target for developers' convenience.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 May 2020 21:54:38 +0200

freerdp2 (2.0.0~git20190204.1.2693389a+dfsg1-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/patches:
    + Add 0001_CVE-2019-17177.patch. Fix realloc return handling.
      (CVE-2019-17177).
  * debian/rules:
    + Drop dbgsym:migration dh_strip overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Dec 2019 11:25:24 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libwinpr3-3`.
